#ifndef WALLOBJECT_HPP_INCLUDED
#define WALLOBJECT_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include "Renderable.hpp"

namespace Internal
{
    class WallObject : public Object
    {
        public:
            WallObject(const void* Obj);

            WallObject() = default;
            WallObject(WallObject&& Obj) = default;
            WallObject(const WallObject& Obj) = default;
            WallObject& operator=(WallObject&& Obj) = default;
            WallObject& operator=(const WallObject& Obj) = default;

            static Class GetClass();

            std::int32_t GetFlags() const;
            std::int64_t GetHash() const;
            std::int32_t GetHeight() const;
            std::int32_t GetOrientation() const;
            std::int32_t GetOrientation2() const;
            Renderable GetRenderable() const;
            Renderable GetRenderable2() const;
            std::int32_t GetX() const;
            std::int32_t GetY() const;
            std::int32_t GetZ() const;

    };
}

#endif // WALLOBJECT_HPP_INCLUDED
